phpBB

Code Changes

File: includes/acp/acp_update.php

  Unmodified   Added   Modified   Removed
Line 38Line 38
		try
{
$recheck = $request->variable('versioncheck_force', false);

		try
{
$recheck = $request->variable('versioncheck_force', false);

			$updates_available = $version_helper->get_suggested_updates($recheck);






			$updates_available = $version_helper->get_update_on_branch($recheck);
$upgrades_available = $version_helper->get_suggested_updates();
if (!empty($upgrades_available))
{
$upgrades_available = array_pop($upgrades_available);
}

		}
catch (\RuntimeException $e)
{

		}
catch (\RuntimeException $e)
{

Line 47Line 52
			$updates_available = array();
}


			$updates_available = array();
}


		foreach ($updates_available as $branch => $version_data)

		if (!empty($updates_available))

		{

		{

			$template->assign_block_vars('updates_available', $version_data);

			$template->assign_block_vars('updates_available', $updates_available);

		}

$update_link = $phpbb_root_path . 'install/app.' . $phpEx;


		}

$update_link = $phpbb_root_path . 'install/app.' . $phpEx;


		$template->assign_vars(array(
'S_UP_TO_DATE' => empty($updates_available),
'U_ACTION' => $this->u_action,
'U_VERSIONCHECK_FORCE' => append_sid($this->u_action . '&versioncheck_force=1'),



		$template_ary = [
'S_UP_TO_DATE' => empty($updates_available),
'U_ACTION' => $this->u_action,
'U_VERSIONCHECK_FORCE' => append_sid($this->u_action . '&versioncheck_force=1'),

'CURRENT_VERSION' => $config['version'],





			'CURRENT_VERSION'		=> $config['version'],




			'UPDATE_INSTRUCTIONS'		=> $user->lang('UPDATE_INSTRUCTIONS', $update_link),
'S_VERSION_UPGRADEABLE' => !empty($upgrades_available),
'UPGRADE_INSTRUCTIONS' => !empty($upgrades_available) ? $user->lang('UPGRADE_INSTRUCTIONS', $upgrades_available['current'], $upgrades_available['announcement']) : false,
];





			'UPDATE_INSTRUCTIONS'	=> sprintf($user->lang['UPDATE_INSTRUCTIONS'], $update_link),
));

		$template->assign_vars($template_ary);



// Incomplete update?
if (phpbb_version_compare($config['version'], PHPBB_VERSION, '<'))


// Incomplete update?
if (phpbb_version_compare($config['version'], PHPBB_VERSION, '<'))